<template>
  <div v-if="!isAllowed" class="fixed top-0 left-0 w-screen h-screen bg-scheme-primary bg-opacity-70 backdrop-blur-2xl z-40 flex flex-col items-center justify-center ">
    <h3 class="font-semibold text-2xl text-white">Izinkan Notifikasi untuk mendapatkan chat secara realtime</h3>
    <button v-if="notificationStatus === 'default'" @click="trigerNotification" class="btn btn-md btn-primary min-w-200">Izinkan</button>

    <div class="relative mt-6 grid grid-cols-2 max-w-5xl items-start h-auto justify-center w-full mx-auto flex-row gap-2">
      <div class="relative flex flex-col h-full bg-white rounded-lg p-4">
        <h3 class="text-lg">1. Klik Icon Gembok 🔒 di sebelah URL</h3>
        <div class="relative gap-2 flex items=center flex-col">
          <div class="bg-gray-200 text-lg items-center p-2 rounded-md w-full h-12 flex gap-2 flex-row">
            <span class="w-6 h-6 relative overflow-hidden">
              <svg class="w-full h-full fill-current text-gray-500" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24"><path fill="currentColor" d="M6 22q-.825 0-1.413-.588T4 20V10q0-.825.588-1.413T6 8h1V6q0-2.075 1.463-3.538T12 1q2.075 0 3.538 1.463T17 6v2h1q.825 0 1.413.588T20 10v10q0 .825-.588 1.413T18 22H6Zm6-5q.825 0 1.413-.588T14 15q0-.825-.588-1.413T12 13q-.825 0-1.413.588T10 15q0 .825.588 1.413T12 17ZM9 8h6V6q0-1.25-.875-2.125T12 3q-1.25 0-2.125.875T9 6v2Z"/></svg>
            </span>
            <span class="text-gray-500 select-none font-medium">https://chat-desktop.halosis.co.id</span>
          </div>
        </div>
      </div>
      <div class="relative flex flex-col h-full bg-white rounded-lg p-4">
        <h3 class="text-lg">2. Hidupkan Notification (Klik Allow untuk notification)</h3>
        <div class="relative gap-2 flex items=center flex-col">
          <div class="bg-gray-200 text-lg items-center p-2 rounded-md w-full flex gap-2 flex-row">
            <span class="w-6 h-6 relative overflow-hidden">
              <svg class="w-full h-full fill-current text-gray-500" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24"><path fill="currentColor" d="M6 22q-.825 0-1.413-.588T4 20V10q0-.825.588-1.413T6 8h1V6q0-2.075 1.463-3.538T12 1q2.075 0 3.538 1.463T17 6v2h1q.825 0 1.413.588T20 10v10q0 .825-.588 1.413T18 22H6Zm6-5q.825 0 1.413-.588T14 15q0-.825-.588-1.413T12 13q-.825 0-1.413.588T10 15q0 .825.588 1.413T12 17ZM9 8h6V6q0-1.25-.875-2.125T12 3q-1.25 0-2.125.875T9 6v2Z"/></svg>
            </span>
            <span class="text-gray-500 select-none font-medium">
              <img src="/permission.png"  />
            </span>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import {onMounted, ref, watch} from "vue";
import { usePermission } from '@vueuse/core'
import {useGeneralStore} from '../../stores/general'

const notification = usePermission('notifications')

const isAllowed = ref(false)
const notificationStatus = ref("")

const general = useGeneralStore()

const trigerNotification = () => {
  Notification.requestPermission()
  .then((perm) => {
    if (perm === 'granted') {
      isAllowed.value = true
    }
  })
  .catch((err) => console.log(err))
  console.log(Notification.permission, 'isi notification value')
  // return navigator.permissions
  // Notification.requestPermission()

}

// watch(() => isAllowed.value, (val) => {
//   if (!val) {
//   }
// })

watch(() => general.vendor_id, (val) => {
  console.log(general.vendor_id, 'isian vendor id')
  if(general.vendor_id == 1313 || general.vendor_id == 12113){
    // isAllowed.value = true
  }
})

onMounted(() => {
  notificationStatus.value = Notification.permission
  if (Notification.permission === 'denied' || Notification.permission === 'default') {
    isAllowed.value = false
  } else {
    isAllowed.value = true
  }
})

// Notification.requestPermission()
//     .then((resp) => {
//       if (resp === 'default' || resp === 'denied') {
//         isAllowed.value = false
//       } else {
//         isAllowed.value = true
//       }
//     })
//     .catch((e) => console.log("failed request permission", e))
</script>
